using System;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SqlServer.Dts.Runtime.Design;

namespace SSIS2K5.Samples.Tasks.ExpressionTask
{
	/// <summary>
	/// Our TaskUI derived from ManagedDTS.TaskUI
	/// </summary>
	public class ExpressionTaskUI : IDtsTaskUI
	{
		// TaskUI receives a TaskHost and we cache it here.
		private TaskHost taskHost = null;
		private IDtsConnectionService connectionService = null;

		// Called by the designer to initialize the taskHost UI
		public void Initialize(TaskHost taskHost, System.IServiceProvider serviceProvider)
		{
			this.taskHost = taskHost;
			this.connectionService = serviceProvider.GetService(typeof(IDtsConnectionService)) as IDtsConnectionService;
		}

		// Called by the designer to show the window
		public ContainerControl GetView()
		{
         return new ExpressionTaskMainWnd (taskHost, connectionService);
		}

		/// <summary>
		///  Called when a new Task is added to the package.
		/// </summary>
		public void New( IWin32Window parentWindow )
		{
			// do nothing
		}

		/// <summary>
		///  Called when an existing taskHost is about to be deleted from the package
		/// </summary>
		public void Delete( IWin32Window parentWindow )
		{
			// do nothing
		}

	}
}
