using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime.Design;
using Microsoft.SqlServer.Dts.Design;
using SampleTask;

namespace SampleTask
{
   public partial class SampleTaskUI : IDtsTaskUI      
   {
      private Microsoft.SqlServer.Dts.Runtime.TaskHost m_taskHost;
      private System.IServiceProvider m_serviceProvider;

      // Called when the TaskUI is first created.
      public void Initialize(Microsoft.SqlServer.Dts.Runtime.TaskHost taskHost, 
                                   System.IServiceProvider serviceProvider)
      {
         m_taskHost = taskHost;
         m_serviceProvider = serviceProvider;
         if (!(m_taskHost.InnerObject is SampleTask))
         {
            // Throw an exception
         }
      }

      // Called when the designer wants to see the TaskUI
      public ContainerControl GetView()
      {
         return new SampleTaskUIWnd(m_taskHost);
      }

      // Called when an existing task is about to be deleted.
      public void Delete(System.Windows.Forms.IWin32Window form)
      {
         // Do nothing.
      }

      // Called when a new task is added to a package or pasted.
      public void New(System.Windows.Forms.IWin32Window form)
      {
         IDtsClipboardService clipboardService = m_serviceProvider.GetService(typeof(IDtsClipboardService)) as IDtsClipboardService;

         if ((clipboardService != null) && (clipboardService.IsPasteActive))
         {
            // The task is getting pasted, do any special handling here.
         }
         
      }
   }
}
