using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SqlServer.Dts.Runtime.Wrapper;
using Microsoft.SqlServer.Dts.Pipeline;

// Profile string average string length
namespace SSIS2K5.Samples.Transforms.DataProfiler
{
   class ColumnProfilerAvgStrLen : SSIS2K5.Samples.Transforms.DataProfiler.ColumnProfilerBase
    {
        private double rows = 0;
        private double length = 0;

        public override string GetProfileType() { return "AVGSTRLEN"; }
        public override string GetProfileValue() { return Math.Ceiling(length/rows).ToString(); }

        public override bool CanProfile()
        {
            return ColumnInfo.DataType == DataType.DT_WSTR
                   || ColumnInfo.DataType == DataType.DT_STR;
        }

        public override void Profile(PipelineBuffer buffer)
        {
            rows++;
            object o = buffer[ColumnIndex];
            if (o != null) length += ((string) o).Length;
        }
    };
}
